> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collections

> You can get all the collections you have created by making a `GET` request to `https://api.opus.pro/api/collections`.

## Related Schemas

<CardGroup cols={2}>
  <Card title="Collection Schema" icon="code" href="/api-reference/schemas/collection">
    Reference the collection object included in the list response.
  </Card>

  <Card title="Get Collections Response" icon="code" href="/api-reference/schemas/get-collections-response">
    View the full response schema for listing collections.
  </Card>
</CardGroup>


## OpenAPI

````yaml GET /api/collections
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/collections:
    get:
      tags:
        - collection
        - enterprise
      operationId: CollectionController_list
      parameters:
        - name: q
          required: true
          in: query
          description: |-
            **Query type**
             `q = mine` means list collections of your account.
             `q = findByContentId` means list collections contained the specific content(clip).
          schema:
            example: mine
            enum:
              - findByContentId
              - mine
            type: string
        - name: contentId
          required: false
          in: query
          description: >-
            If specified, will only return collections that contain the clip
            with this contentID.
          schema:
            example: P0000000demo.CUexample2
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - properties:
                      data:
                        properties:
                          list:
                            type: array
                            items:
                              $ref: '#/components/schemas/CollectionDto'
                            description: The list of collections
                          total:
                            type: number
                            nullable: false
                            description: Total number of valid items
                          next:
                            oneOf:
                              - type: string
                                nullable: true
                                description: Next page cursor
                              - type: number
                                nullable: true
                                description: Next page cursor
                          limit:
                            type: number
                            nullable: true
                            description: Limit number in this paged query
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  errorName:
                    type: string
                    nullable: false
                    enum:
                      - Bad Request
                  errorMessage:
                    type: string
                    nullable: true
      security:
        - bearer: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        data:
          type: object
      required:
        - data
    CollectionDto:
      type: object
      properties:
        collectionId:
          type: string
          description: The unique collection ID.
          example: xmAwhhFi0IJt
        collectionName:
          type: string
          description: The name of the collection that you have created.
          example: Opus demo clips
        createdAt:
          format: date-time
          type: string
          description: The date and time the collection was created.
        updatedAt:
          format: date-time
          type: string
          description: The date and time the collection was updated.
      required:
        - collectionId
        - collectionName
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````